/* 
 * Eneso Human Interface Device Library
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __EHID_PRIVATE_H__
#define __EHID_PRIVATE_H__

#include <glib.h>
#include "ehid.h"

typedef enum
{
	UNKNOWN,
	CONNECTED,
	DISCONNECTED
}
ConnectionStatus;

extern ConnectionStatus status;

extern EHidConnectedCb		user_connected_cb;
extern EHidDisconnectedCb	user_disconnected_cb;
extern EHidMessageCb		user_message_cb;

extern gchar*	user_name;
extern guint	user_vid;
extern guint 	user_pid;
extern guint 	user_input_length;
extern guint 	user_output_length;

extern gchar*	read_buffer;


void check_connected_and_notify	(void);

#endif /* __EHID_PRIVATE_H__ */
